import { jsx } from "react/jsx-runtime";
import { CoinsIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Coins = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Coins", ...props, children: /* @__PURE__ */ jsx(CoinsIcon, { weight: variant }) });
  }
);
Coins.displayName = "Coins";
Object.assign(Coins, { isGdsIcon: true });
export {
  Coins
};
